SystemOrganization addCategory: #'TWBS-DatePicker-Magritte'!

!MADateDescription methodsFor: '*twbs-datepicker-magritte' stamp: 'FrancoisStephany 6/6/2012 12:53'!
autoClose
	^ self 
		propertyAt: #autoClose 
		ifAbsent: [ nil ]! !

!MADateDescription methodsFor: '*twbs-datepicker-magritte' stamp: 'FrancoisStephany 6/6/2012 12:55'!
autoClose: aBoolean
	^self propertyAt: #autoClose put: aBoolean! !

!MADateDescription methodsFor: '*twbs-datepicker-magritte' stamp: 'FrancoisStephany 6/6/2012 12:51'!
dateFormat
	^ self 
		propertyAt: #dateFormat 
		ifAbsent: [ nil ]! !

!MADateDescription methodsFor: '*twbs-datepicker-magritte' stamp: 'FrancoisStephany 6/6/2012 12:55'!
dateFormat: aString
	^self propertyAt: #dateFormat put: aString! !

!MADateDescription methodsFor: '*twbs-datepicker-magritte' stamp: 'FrancoisStephany 6/6/2012 13:19'!
datePrintingSymbol
	^ self 
		propertyAt: #datePrintingSymbol
		ifAbsent: [ #mmddyyyy ]! !

!MADateDescription methodsFor: '*twbs-datepicker-magritte' stamp: 'FrancoisStephany 6/6/2012 13:19'!
datePrintingSymbol: aSymbol
	^self propertyAt: #datePrintingSymbol put: aSymbol! !

!MADateDescription methodsFor: '*twbs-datepicker-magritte' stamp: 'FrancoisStephany 6/6/2012 12:51'!
language
	^ self 
		propertyAt: #language
		ifAbsent: [ nil ]! !

!MADateDescription methodsFor: '*twbs-datepicker-magritte' stamp: 'FrancoisStephany 6/6/2012 12:55'!
language: aString
	^self propertyAt: #aString put: aString! !

!MADateDescription methodsFor: '*twbs-datepicker-magritte' stamp: 'FrancoisStephany 6/6/2012 12:52'!
weekStart
	^ self 
		propertyAt: #weekStart
		ifAbsent: [ nil ]! !

!MADateDescription methodsFor: '*twbs-datepicker-magritte' stamp: 'FrancoisStephany 6/6/2012 12:56'!
weekStart: aString
	^self propertyAt: #weekStart put: aString! !

MATextInputComponent subclass: #TWBSMagritteDatePickerEmbeddedComponent
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TWBS-DatePicker-Magritte'!

!TWBSMagritteDatePickerEmbeddedComponent commentStamp: '<historical>' prior: 0!
display the field as an embedded one:
http://www.eyecon.ro/bootstrap-datepicker/!

MATextInputComponent subclass: #TWBSMagritteDatePickerInputComponent
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TWBS-DatePicker-Magritte'!

!TWBSMagritteDatePickerInputComponent commentStamp: '<historical>' prior: 0!
I'm a component that popups a calendar when the text field is clicked.

See MADateDescription for more details about the available options!

!TWBSMagritteDatePickerInputComponent methodsFor: 'helpers' stamp: 'FrancoisStephany 6/6/2012 13:20'!
addDataAttributesOn: textInput
	description autoClose notNil ifTrue: [ 
		textInput autoClose: description autoClose ].	
		
	description dateFormat notNil ifTrue: [ 
		textInput dateFormat: description dateFormat ].
	
	description min notNil ifTrue: [ 
		textInput startDate: (description min perform: description datePrintingSymbol) ].
	
	description max notNil ifTrue: [ 
		textInput endDate: (description max perform: description datePrintingSymbol) ].
	
	description weekStart notNil ifTrue: [ 
		textInput weekStart: description weekStart ].
	
	description language notNil ifTrue: [ 
		textInput language: description language ].
	
	description placeholder notNil ifTrue: [ 
		textInput twbsPlaceholderText: description placeholder ].! !

!TWBSMagritteDatePickerInputComponent methodsFor: 'rendering' stamp: 'FrancoisStephany 6/6/2012 16:02'!
renderInputOn: html
	| textInput |
	textInput := html twbsDatePicker.
	
	self addDataAttributesOn: textInput.
	
	description cssClasses isEmpty ifFalse: [
		| cssClassesString |
		cssClassesString := description cssClasses reduce: [ :a :b | a , ' ' , b ].
		textInput class: cssClassesString ].
	
	textInput
		id: self labelId;
		on: #string of: self;
		script: (html jQuery this call: 'datepicker').! !

!TWBSMagritteDatePickerInputComponent methodsFor: 'rendering' stamp: 'FrancoisStephany 6/6/2012 16:04'!
string
	^self value  perform: description datePrintingSymbol.! !
